# Marlin 3D Printer Firmware
![Marlin logo](https://git.trov.ar/trovar/marlin-anet-a8/raw/branch/main/buildroot/share/pixmaps/logo/marlin-250.png)

## Flash instructions

1. Install Anet board definition for Arduino IDE from `./anet-board` ([Source](https://github.com/SkyNet3D/anet-board))

## Arduino IDE

2. Flash selecting `Anet V1.0 (Optiboot)` as board

## Arduino CLI

2. From the root of the repository, compile with

```sh
arduino-cli compile --fqbn anet:avr:aneto Marlin
```

3. Flash using

```sh
arduino-cli upload -p /dev/ttyUSB0 --fqbn anet:avr:aneto Marlin
```

(Replace `/dev/ttyUSB0` with corresponding device)
